Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class PluginExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.hyperic.util.NestedException
                  net.hyperic.hq.product.PluginException
                      net.hyperic.hq.product.PluginExistsException

All Implemented Interfaces:
  java.io.Serializable

public class PluginExistsException
extends PluginException

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.hyperic.util.NestedException
`_exception`

Constructor Summary
`PluginExistsException()`
`PluginExistsException(java.lang.String msg)`

Methods inherited from class net.hyperic.util.NestedException
`addException, getExceptionOfType, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginExistsException

    public PluginExistsException()

### PluginExistsException

    public PluginExistsException(java.lang.String msg)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.